org.eclipse.viatra.query.tooling.generator.model.parser.antlr.internal

## Class InternalGeneratorModelParser

- java.lang.Object
- - org.antlr.runtime.BaseRecognizer
  - - org.antlr.runtime.Parser
    - - org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser
      - - org.eclipse.viatra.query.tooling.generator.model.parser.antlr.internal.InternalGeneratorModelParser

-     public class InternalGeneratorModelParser
      extends org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser

- - ### Property Summary

    All Methods Instance Methods Concrete Methods
    Type | Property and Description
    --- | ---
    `org.eclipse.emf.ecore.EObject` | `entryRule`
    `org.eclipse.emf.ecore.EObject` | `rule`

  - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser

      `org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser.ErrorContext, org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser.LexerErrorContext, org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser.ParserErrorContext, org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser.UnorderedGroupErrorContext, org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser.ValueConverterErrorContext`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `EOF`
    `static org.antlr.runtime.BitSet` | `FOLLOW_1`
    `static org.antlr.runtime.BitSet` | `FOLLOW_2`
    `static org.antlr.runtime.BitSet` | `FOLLOW_3`
    `static org.antlr.runtime.BitSet` | `FOLLOW_4`
    `static org.antlr.runtime.BitSet` | `FOLLOW_5`
    `static org.antlr.runtime.BitSet` | `FOLLOW_6`
    `static org.antlr.runtime.BitSet` | `FOLLOW_7`
    `static org.antlr.runtime.BitSet` | `FOLLOW_8`
    `static org.antlr.runtime.BitSet` | `FOLLOW_9`
    `static int` | `RULE_ANY_OTHER`
    `static int` | `RULE_ID`
    `static int` | `RULE_INT`
    `static int` | `RULE_ML_COMMENT`
    `static int` | `RULE_SL_COMMENT`
    `static int` | `RULE_STRING`
    `static int` | `RULE_WS`
    `static int` | `T__11`
    `static int` | `T__12`
    `static int` | `T__13`
    `static int` | `T__14`
    `static java.lang.String[]` | `tokenNames`

    - ### Fields inherited from class org.antlr.runtime.Parser

      `input`

    - ### Fields inherited from class org.antlr.runtime.BaseRecognizer

      `DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InternalGeneratorModelParser(org.antlr.runtime.TokenStream input)`
    `InternalGeneratorModelParser(org.antlr.runtime.TokenStream input, GeneratorModelGrammarAccess grammarAccess)`
    `InternalGeneratorModelParser(org.antlr.runtime.TokenStream input, org.antlr.runtime.RecognizerSharedState state)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EObject` | `entryRuleConfiguration()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleGeneratorModelReference()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleProperty()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleViatraQueryGeneratorModel()`
    `protected java.lang.String` | `getFirstRuleName()`
    `protected GeneratorModelGrammarAccess` | `getGrammarAccess()`
    `java.lang.String` | `getGrammarFileName()`
    `java.lang.String[]` | `getTokenNames()`
    `org.eclipse.emf.ecore.EObject` | `ruleConfiguration()`
    `org.eclipse.emf.ecore.EObject` | `ruleGeneratorModelReference()`
    `org.eclipse.emf.ecore.EObject` | `ruleProperty()`
    `org.eclipse.emf.ecore.EObject` | `ruleViatraQueryGeneratorModel()`

    - ### Methods inherited from class org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser

      `add, add, addWithLastConsumed, afterParserOrEnumRuleCall, appendAllTokens, appendError, appendSkippedTokens, appendTrailingHiddenTokens, associateNodeWithAstElement, createErrorContext, createModelElement, createModelElement, createModelElement, createModelElementForParent, createModelElementForParent, createValueConverterErrorContext, displayRecognitionError, emitErrorMessage, enterRule, forceCreateModelElement, forceCreateModelElementAndAdd, forceCreateModelElementAndSet, getErrorMessage, getInput, getLastLeafNode, getNodeModelBuilder, getSemanticModelBuilder, getSyntaxErrorMessage, getSyntaxErrorProvider, getUnorderedGroupHelper, getValueConverterExceptionMessage, handleValueConverterException, insertCompositeNode, leaveRule, newCompositeNode, newLeafNode, parse, parse, recover, recoverFromMismatchedToken, registerRules, reportError, set, set, setNodeModelBuilder, setSemanticModelBuilder, setSyntaxErrorProvider, setTokenTypeMap, setUnorderedGroupHelper, setWithLastConsumed, superGetErrorMessage, unpackEncodedStringArray`

    - ### Methods inherited from class org.antlr.runtime.Parser

      `getCurrentInputSymbol, getMissingSymbol, getSourceName, getTokenStream, reset, setTokenStream, traceIn, traceOut`

    - ### Methods inherited from class org.antlr.runtime.BaseRecognizer

      `alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, endResync, failed, getBacktrackingLevel, getErrorHeader, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recoverFromMismatchedSet, setBacktrackingLevel, toStrings, traceIn, traceOut`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### entryRule

          public final org.eclipse.emf.ecore.EObject entryRuleProperty

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### rule

          public final org.eclipse.emf.ecore.EObject ruleProperty

      Throws:
        `org.antlr.runtime.RecognitionException`

  - ### Field Detail

    - #### tokenNames

          public static final java.lang.String[] tokenNames

    - #### RULE_ID

          public static final int RULE_ID

      See Also:
        Constant Field Values

    - #### RULE_WS

          public static final int RULE_WS

      See Also:
        Constant Field Values

    - #### RULE_STRING

          public static final int RULE_STRING

      See Also:
        Constant Field Values

    - #### RULE_ANY_OTHER

          public static final int RULE_ANY_OTHER

      See Also:
        Constant Field Values

    - #### RULE_SL_COMMENT

          public static final int RULE_SL_COMMENT

      See Also:
        Constant Field Values

    - #### RULE_INT

          public static final int RULE_INT

      See Also:
        Constant Field Values

    - #### T__11

          public static final int T__11

      See Also:
        Constant Field Values

    - #### RULE_ML_COMMENT

          public static final int RULE_ML_COMMENT

      See Also:
        Constant Field Values

    - #### T__12

          public static final int T__12

      See Also:
        Constant Field Values

    - #### T__13

          public static final int T__13

      See Also:
        Constant Field Values

    - #### T__14

          public static final int T__14

      See Also:
        Constant Field Values

    - #### EOF

          public static final int EOF

      See Also:
        Constant Field Values

    - #### FOLLOW_1

          public static final org.antlr.runtime.BitSet FOLLOW_1

    - #### FOLLOW_2

          public static final org.antlr.runtime.BitSet FOLLOW_2

    - #### FOLLOW_3

          public static final org.antlr.runtime.BitSet FOLLOW_3

    - #### FOLLOW_4

          public static final org.antlr.runtime.BitSet FOLLOW_4

    - #### FOLLOW_5

          public static final org.antlr.runtime.BitSet FOLLOW_5

    - #### FOLLOW_6

          public static final org.antlr.runtime.BitSet FOLLOW_6

    - #### FOLLOW_7

          public static final org.antlr.runtime.BitSet FOLLOW_7

    - #### FOLLOW_8

          public static final org.antlr.runtime.BitSet FOLLOW_8

    - #### FOLLOW_9

          public static final org.antlr.runtime.BitSet FOLLOW_9

  - ### Constructor Detail

    - #### InternalGeneratorModelParser

          public InternalGeneratorModelParser(org.antlr.runtime.TokenStream input)

    - #### InternalGeneratorModelParser

          public InternalGeneratorModelParser(org.antlr.runtime.TokenStream input,
                                              org.antlr.runtime.RecognizerSharedState state)

    - #### InternalGeneratorModelParser

          public InternalGeneratorModelParser(org.antlr.runtime.TokenStream input,
                                              GeneratorModelGrammarAccess grammarAccess)

  - ### Method Detail

    - #### getTokenNames

          public java.lang.String[] getTokenNames()

      Overrides:
        `getTokenNames` in class `org.antlr.runtime.BaseRecognizer`

    - #### getGrammarFileName

          public java.lang.String getGrammarFileName()

      Overrides:
        `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

    - #### getFirstRuleName

          protected java.lang.String getFirstRuleName()

      Specified by:
        `getFirstRuleName` in class `org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser`

    - #### getGrammarAccess

          protected GeneratorModelGrammarAccess getGrammarAccess()

      Specified by:
        `getGrammarAccess` in class `org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser`

    - #### entryRuleViatraQueryGeneratorModel

          public final org.eclipse.emf.ecore.EObject entryRuleViatraQueryGeneratorModel()
                                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleViatraQueryGeneratorModel

          public final org.eclipse.emf.ecore.EObject ruleViatraQueryGeneratorModel()
                                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleGeneratorModelReference

          public final org.eclipse.emf.ecore.EObject entryRuleGeneratorModelReference()
                                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleGeneratorModelReference

          public final org.eclipse.emf.ecore.EObject ruleGeneratorModelReference()
                                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleConfiguration

          public final org.eclipse.emf.ecore.EObject entryRuleConfiguration()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleConfiguration

          public final org.eclipse.emf.ecore.EObject ruleConfiguration()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleProperty

          public final org.eclipse.emf.ecore.EObject entryRuleProperty()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleProperty

          public final org.eclipse.emf.ecore.EObject ruleProperty()
                                                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`